Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop
Class ResourceEventProducer.Provider

    java.lang.Object
      org.apache.fop.ResourceEventProducer.Provider

Enclosing interface:
  ResourceEventProducer

    public static final class ResourceEventProducer.Provider

extends java.lang.Object

Provider class for the event producer.

Method Summary
`static ResourceEventProducer` | `get(EventBroadcaster broadcaster)` Returns an event producer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### get

    public static ResourceEventProducer get(EventBroadcaster broadcaster)

  Returns an event producer.

  Parameters:
    `broadcaster` - the event broadcaster to use
  Returns:
    the requested event producer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.